import request from '/@/utils/request';

export function areaManageApi() {
    return {

        //区域分页列表
        getAreaPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/region/page`,
                method: 'post',
                data: data
            });
        },

        //区域新增
        addArea: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/region/add`,
                method: 'post',
                data: data
            });
        },

        //区域删除
        delArea: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/region/del`,
                method: 'post',
                data: data
            });
        },

        //区域修改
        editArea: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/region/update`,
                method: 'post',
                data: data
            });
        },

    };
}